#-------------------------------------------------
#
# Project created by QtCreator 2017-05-15T19:38:33
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = qbolt
TEMPLATE = app

# Enforce Qt deprecations
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000

win32: {
    # for some reason, qbolt_cgo.h never realises that Q_OS_WIN is defined for win32 builds... weird
    DEFINES += CGO_WINDOWS
    QMAKE_LIBS += $$_PRO_FILE_PWD_/../build/win32/qbolt.a
    QMAKE_LIBS += -lntdll

    RC_ICONS = rsrc/qbolt.ico
}

linux: {
    QMAKE_LIBS += $$_PRO_FILE_PWD_/../build/linux/qbolt.a
    QMAKE_LIBS += -lpthread
}

SOURCES += main.cpp\
        mainwindow.cpp \
    interop.cpp \
    boltdb.cpp \
    itemwindow.cpp

HEADERS  += mainwindow.h \
    interop.h \
    boltdb.h \
    qbolt_cgo.h \
    itemwindow.h

FORMS    += mainwindow.ui \
    itemwindow.ui

RESOURCES += \
    resources.qrc
